[armedbear-cvs] r14366 - trunk/abcl
ehuelsmann at common-lisp.net
ehuelsmann at common-lisp.net
Mon Feb 11 19:05:52 UTC 2013
Author: ehuelsmann
Date: Mon Feb 11 11:05:51 2013
New Revision: 14366
Log:
Patch by ASau on freenode/#abcl: allow more casing variations.
Modified:
trunk/abcl/build-from-lisp.sh
Modified: trunk/abcl/build-from-lisp.sh
==============================================================================
--- trunk/abcl/build-from-lisp.sh Thu Jan 31 06:26:25 2013 (r14365)
+++ trunk/abcl/build-from-lisp.sh Mon Feb 11 11:05:51 2013 (r14366)
@@ -15,17 +15,15 @@
check_boolean()
{
- if [ "$1" == "t" ] || \
- [ "$1" == "T" ] || \
- [ "$1" == "nil" ] || \
- [ "$1" == "NIL" ]
- then
- return
- else
- usage
- echo "Error: Argument \`$1' is neither \"nil\" nor \"t\"."
- exit 1
- fi
+ case "$1" in
+ [Tt]|[Nn][Ii][Ll])
+ :;;
+ *)
+ usage
+ echo "Error: Argument \`$1' is neither \"nil\" nor \"t\"."
+ exit 1
+ ;;
+ esac
}
IMPL="$1"
More information about the armedbear-cvs
mailing list